Loading...
Searching...
No Matches
gea.h File Reference
GPRS GEA3/GEA4 ciphering algorithm

GEA3/GEA4 header. More...

`#include <osmocom/crypt/gprs_cipher.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Functions

int | gea3 (uint8_t *out, uint16_t len, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction direction)
| Performs the GEA3 algorithm as in 3GPP TS 55.216 V6.2.0.
int | gea4 (uint8_t *out, uint16_t len, uint8_t *kc, uint32_t iv, enum gprs_cipher_direction direction)
| Performs the GEA4 algorithm as in 3GPP TS 55.226 V9.0.0.

## Detailed Description

GEA3/GEA4 header.

See gea.c for details